# pointpats.g

pointpats.g(coordinates, support=None, distances=None, metric='euclidean', edge_correction=None)

  Ripley’s G function

  The G function is computed from the cumulative density function of the nearest neighbor distances between points in the pattern.

  Parameters:
    coordinates geopandas object | numpy.ndarray of shape (n,2)

      input coordinates to function

    support tuple of length 1, 2, or 3, int, or numpy.ndarray

      tuple, encoding (stop,), (start, stop), or (start, stop, num) int, encoding number of equally-spaced intervals numpy.ndarray, used directly within numpy.histogram

    distances: numpy.ndarray, (n, n) or (n,)

      distances from every point in the point to another point in coordinates

    metric: str or callable

      distance metric to use when building search tree

    edge_correction: bool or str

      whether or not to conduct edge correction. Not yet implemented.

  Returns:
    a tuple containing the support values used to evalute the function
    and the values of the function at each distance value in the support.